Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.drivers.scrolling
Class ScrollPaneDriver

    java.lang.Object
      |
      +--org.netbeans.jemmy.drivers.LightSupportiveDriver
            |
            +--org.netbeans.jemmy.drivers.scrolling.AbstractScrollDriver
                  |
                  +--org.netbeans.jemmy.drivers.scrolling.AWTScrollDriver
                        |
                        +--org.netbeans.jemmy.drivers.scrolling.ScrollPaneDriver

All Implemented Interfaces:
  LightDriver, ScrollDriver

public class ScrollPaneDriver
extends AWTScrollDriver

ScrollDriver for java.awt.ScrollPane component type.

Author:
  Alexandre Iline(alexandre.iline@sun.com)

Fields inherited from class org.netbeans.jemmy.drivers.scrolling.AbstractScrollDriver
`ADJUST_CLICK_COUNT`

Constructor Summary
`ScrollPaneDriver()` Constructs a ScrollPaneDriver.

Method Summary
`protected java.awt.Point` | `getClickPoint(ComponentOperator oper, int direction, int orientation)` Defines a click point which needs to be used in order to increase/decrease scroller value.
`void` | `scrollToMaximum(ComponentOperator oper, int orientation)` Changes value to a maximum.
`void` | `scrollToMinimum(ComponentOperator oper, int orientation)` Changes value to a minimum.

Methods inherited from class org.netbeans.jemmy.drivers.scrolling.AWTScrollDriver
`canDragAndDrop, canJump, canPushAndWait, drag, drop, getDragAndDropStepLength, getScrollDeltaTimeout, jump, startDragging, startPushAndWait, step, stopPushAndWait`

Methods inherited from class org.netbeans.jemmy.drivers.scrolling.AbstractScrollDriver
`doDragAndDrop, doJumps, doPushAndWait, doSteps, scroll`

Methods inherited from class org.netbeans.jemmy.drivers.LightSupportiveDriver
`checkSupported, getSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScrollPaneDriver

    public ScrollPaneDriver()

  Constructs a ScrollPaneDriver.

Method Detail

### scrollToMinimum

    public void scrollToMinimum(ComponentOperator oper,
                                int orientation)

  Description copied from interface: `ScrollDriver`
  Changes value to a minimum.
  Following copied from interface: `org.netbeans.jemmy.drivers.ScrollDriver`
  Parameters:
    `oper` - Scroller operator.
    `orientation` - `java.awt.Adjustable.HORIZONTAL` or `java.awt.Adjustable.VERTICAL`

### scrollToMaximum

    public void scrollToMaximum(ComponentOperator oper,
                                int orientation)

  Description copied from interface: `ScrollDriver`
  Changes value to a maximum.
  Following copied from interface: `org.netbeans.jemmy.drivers.ScrollDriver`
  Parameters:
    `oper` - Scroller operator.
    `orientation` - `java.awt.Adjustable.HORIZONTAL` or `java.awt.Adjustable.VERTICAL`

### getClickPoint

    protected java.awt.Point getClickPoint(ComponentOperator oper,
                                           int direction,
                                           int orientation)

  Description copied from class: `AWTScrollDriver`
  Defines a click point which needs to be used in order to increase/decrease scroller value.
  Overrides:
    `getClickPoint` in class `AWTScrollDriver`
  Following copied from class: `org.netbeans.jemmy.drivers.scrolling.AWTScrollDriver`
  Parameters:
    `oper` - an operator.
    `direction` - - one of the ScrollAdjister.INCREASE_SCROLL_DIRECTION, ScrollAdjister.DECREASE_SCROLL_DIRECTION, ScrollAdjister.DO_NOT_TOUCH_SCROLL_DIRECTION values.
    `orientation` - one of the Adjustable.HORIZONTAL or Adjustable.VERTICAL values.
  Returns:
    a point to click.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD